Get Flow Execution Contact by Id
curl --request GET \
--url https://api.hilos.io/api/flow-execution-contact/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.hilos.io/api/flow-execution-contact/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.hilos.io/api/flow-execution-contact/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact": {
"canonical_phone": "<string>",
"phone": "<string>",
"id": "<string>",
"last_updated_on": "2023-11-07T05:31:56Z",
"source": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"meta": {},
"is_deleted": true,
"created_on": "2023-11-07T05:31:56Z",
"external_url": "<string>"
},
"execution_steps": [
{
"step": {
"flow_version": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"step_type": "<string>",
"next_steps_for_options": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"body_file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"url": "<string>",
"uploaded_file": "<string>",
"content_type": "<string>",
"original_name": "<string>"
},
"conditions": [
{
"field": "<string>",
"value": "<string>",
"id": 123
}
],
"assign_to_users": [
123
],
"time_windows": [
{
"is_available": true,
"start_at": "<string>",
"end_at": "<string>"
}
],
"assign_to_teams": [
123
],
"whatsapp_template": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"whatsapp_template_variables": {},
"next_step_default_idx": 16383,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_step_default": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"next_step_alternate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answer_failed_next_step": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"body_file_url": "<string>",
"answer_validation_message": "<string>",
"answer_instructions": "<string>",
"answer_options": [
"<string>"
],
"next_step_alternate_idx": 16383,
"delay_type": "<string>",
"delay_until": "2023-11-07T05:31:56Z",
"action_request_url": "<string>",
"action_request_headers": {},
"action_request_params": {},
"action_request_body": "<string>",
"action_test_response_data": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"answer_allow_decimals": true,
"answer_range_min": "<string>",
"answer_range_max": "<string>",
"answer_has_range": true,
"ordering_idx": 16383,
"has_options_from_variable": true,
"option_from_variable_value": "<string>",
"options_from_variable": "<string>",
"option_from_variable_title": "<string>",
"missing_options_message": "<string>",
"answer_options_render_list_button_title": "<string>",
"answer_options_render_list_section_title": "<string>",
"next_steps_for_options_idx": [
-1
],
"contact_tags": [
"<string>"
],
"conversation_tags": [
"<string>"
],
"append_tags": true,
"max_wait_time_amount": 16383,
"has_max_wait_time": true,
"set_time_window": true,
"has_max_answer_attempts": true,
"max_answer_attempts": 16383,
"answer_failed_next_step_idx": 16383,
"save_contact_answer": false,
"validate_answer_with_buttons": false,
"contact_custom_properties": [
{
"key": "<string>",
"value": "<string>"
}
],
"contact_first_name": "<string>",
"contact_last_name": "<string>",
"contact_email": "<string>",
"contact_external_url": "<string>",
"next_flow": "<string>",
"paths": [
{
"conditions": [
{
"field": "<string>",
"value": "<string>",
"id": 123
}
]
}
]
},
"messages": [
{
"message": {
"id": "<string>",
"to_number": "<string>",
"from_number": "<string>",
"direction": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"contact": "<string>",
"queued_on": "2023-11-07T05:31:56Z",
"accepted_on": "2023-11-07T05:31:56Z",
"sent_on": "2023-11-07T05:31:56Z",
"delivered_on": "2023-11-07T05:31:56Z",
"read_on": "2023-11-07T05:31:56Z",
"failed_on": "2023-11-07T05:31:56Z",
"provider_id": "<string>",
"provider_error_code": "<string>",
"provider_error_message": "<string>",
"sent_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>"
},
"is_deleted": true,
"content": {},
"whatsapp_template": {
"name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": {
"id": 123,
"channel_id": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"is_sandbox": true
},
"components": {},
"rejected_reason": "<string>",
"is_deleted": true
},
"content_type": "<string>",
"content_url": "<string>",
"location": {
"address": "<string>",
"latitude": 123,
"longitude": 123,
"place_name": "<string>",
"place_url": "<string>",
"map_screenshot_url": "<string>"
},
"failed_attempts": 123,
"contacts": [
{
"addresses": [
{}
],
"emails": [
{}
],
"ims": [
{}
],
"urls": [
"<string>"
],
"name": {},
"phones": [
{}
],
"org": {}
}
],
"context_message": "<string>",
"body": "<string>"
}
}
],
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"last_error_detail": "<string>",
"has_error": true,
"expire_on": "2023-11-07T05:31:56Z",
"validation_failed_attempts": 16383,
"execution_result": {},
"request_data": {},
"created_on": "2023-11-07T05:31:56Z"
}
],
"flow_execution": {
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>"
},
"flow": {
"id": "<string>",
"name": "<string>",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>"
},
"channel": {
"id": 123,
"channel_id": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"is_sandbox": true
},
"created_on": "2023-11-07T05:31:56Z",
"is_active": true,
"is_legacy": true,
"flow_execution_variables": [
"<string>"
]
},
"flow_version": {
"flow": {
"id": "<string>",
"name": "<string>",
"created_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>"
},
"channel": {
"id": 123,
"channel_id": "<string>",
"name": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"is_sandbox": true
},
"created_on": "2023-11-07T05:31:56Z",
"is_active": true,
"is_legacy": true,
"flow_execution_variables": [
"<string>"
]
},
"is_current_version": true,
"published_by": {
"id": 123,
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"profile_image": "<string>"
},
"last_updated_on": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"version_name": "<string>",
"version_description": "<string>",
"created_on": "2023-11-07T05:31:56Z",
"num_contacts": 1073741823,
"completed": 1073741823,
"expired": 1073741823,
"running": 1073741823,
"canceled": 1073741823,
"failed": 1073741823,
"avg_completion_time": "<string>"
},
"last_run_on": "<string>",
"inbound_start_message": "<string>",
"inbound_start_message_match_exact": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"has_priority": true,
"flow_execution_variables": {},
"start_on": "2023-11-07T05:31:56Z",
"num_contacts": 1073741823,
"expired": 1073741823,
"running": 1073741823,
"completed": 1073741823,
"canceled": 1073741823,
"failed": 1073741823,
"created_on": "2023-11-07T05:31:56Z",
"avg_completion_time": "<string>",
"contact_filters": [
{
"field": "<string>",
"value": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"contact_import": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": "2023-11-07T05:31:56Z",
"reason": "<string>"
}Flow Execution Contacts
Get an specific flow execution contact
Get Flow Execution Contact by Id.
GET
/
api
/
flow-execution-contact
/
{id}
Get Flow Execution Contact by Id
Authorizations
Token-based authentication with required prefix "Token"
Path Parameters
A Flow Execution Contact Id to Retrive.
Response
200 - application/json
The Contact that the Flow Execution Contact is for.
Show child attributes
Show child attributes
The Flow Execution Steps that the Flow Execution Contact has.
Show child attributes
Show child attributes
Details for the Flow Execution
Show child attributes
Show child attributes
Available options:
READY, RUNNING, COMPLETED, CANCELED, PAUSED, EXPIRED, FAILED Was this page helpful?
⌘I

